Get the default value of a plugin metadata
GET /apisix/admin/plugin_metadata/{plugin_name}/default
GET /apisix/admin/plugin_metadata/{plugin_name}/defaultInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
plugin_name*string
Name of the plugin.
Length
1 <= length <= 64Response Body
application/json
application/json
curl -X GET "$API_BASE_URL/apisix/admin/plugin_metadata/string/default"Successfully retrieved the default plugin metadata schema.
{
"value": {}
}Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
GET /apisix/admin/plugin_metadata/{plugin_name}/default
Get the default value of a plugin metadata
Parameters
plugin_name(path, string, required): Name of the plugin.
Responses
200: Successfully retrieved the default plugin metadata schema.- allOf variant 1
value(object, optional): The specific resource.- allOf variant 2
value(object, optional): Plugin metadata.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X GET '$API_BASE_URL/apisix/admin/plugin_metadata/{plugin_name}/default'